Bug 1576964 - [Doc] Migrating to Red Hat CloudForms 4.6 - add line for restorecon in section 1.5
Summary: [Doc] Migrating to Red Hat CloudForms 4.6 - add line for restorecon in sectio...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Suyog Sainkar
QA Contact: Dayle Parker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 20:47 UTC by David Luong
Modified: 2018-05-29 05:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 05:40:25 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description David Luong 2018-05-10 20:47:54 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.6/html/migrating_to_red_hat_cloudforms_4.6/index

Section Number and Name: 
1.5  Migrating from CFME 5.8 to 5.9

Describe the issue: 
Upgrade from 4.5 to 4.6 sometimes causes error:
ActiveRecord::StatementInvalid: PG::InsufficientPrivilege: ERROR: could not open file "base/16400/21168": Permission denied

Suggestions for improvement: 
Somewhere between steps 3 and 6 in section 1.5 "Migrating from CFME 5.8 to 5.9"  -- possibly also in the corresponding sections in Chapters 2,3, and 4 
add the step to perform "restorecon -R -v /var/opt/rh/rh-postgresql95/lib/pgsql/data/" as per KCS article:  https://access.redhat.com/solutions/3225071

Additional information:

Comment 2 Dave Johnson 2018-05-10 21:03:21 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 luke couzens 2018-05-15 08:48:39 UTC
I think this should be correct, there shouldn't be any postgres data on a non-VMDB appliance.


Note You need to log in before you can comment on or make changes to this bug.